animate(1)

NAME
animate - animates an image or image sequence on any X server.

SYNOPSIS

animate [options] input-file

OVERVIEW
The animate program is a member of the ImageMagick(1) suite of tools. Use it to animate an image or image sequence on any X server. For more information about the animate command, point your browser to file:///usr/pkg/share/doc/ImageMagick-7/www/animate.html or http://imagemagick.org/script/animate.php.

DESCRIPTION
Image Settings:
  -alpha option on, activate, off, deactivate, set, opaque, copy
                        transparent, extract, background, or shape
  -authenticate value decrypt image with this password
  -backdrop display image centered on a backdrop
  -colormap type Shared or Private
  -colorspace type alternate image colorspace
  -decipher filename convert cipher pixels to plain pixels
  -define format:option
                       define one or more image format options
  -delay value display the next image after pausing
  -density geometry horizontal and vertical density of the image
  -depth value image depth
  -display server display image to this X server
  -dispose method layer disposal method
  -dither method apply error diffusion to image
  -filter type use this filter when resizing an image
  -format "string" output formatted image characteristics
  -gamma value level of gamma correction
  -geometry geometry preferred size and location of the Image window
  -gravity type horizontal and vertical backdrop placement
  -identify identify the format and characteristics of the image
  -immutable displayed image cannot be modified
  -interlace type type of image interlacing scheme
  -interpolate method pixel color interpolation method
  -limit type value pixel cache resource limit
  -loop iterations loop images then exit
  -matte store matte channel if the image has one
  -map type display image using this Standard Colormap
  -monitor monitor progress
  -pause seconds to pause before reanimating
  -page geometry size and location of an image canvas (setting)
  -quantize colorspace reduce colors in this colorspace
  -quiet suppress all warning messages
  -regard-warnings pay attention to warning messages
  -remote command execute a command in an remote display process
  -repage geometry size and location of an image canvas (operator)
  -respect-parentheses settings remain in effect until parenthesis boundary
  -sampling-factor geometry
                       horizontal and vertical sampling factor
  -scenes range image scene range
  -seed value seed a new sequence of pseudo-random numbers
  -set attribute value set an image attribute
  -size geometry width and height of image
  -support factor resize support: > 1.0 is blurry, < 1.0 is sharp
  -transparent-color color
                       transparent color
  -treedepth value color tree depth
  -verbose print detailed information about the image
  -visual type display image using this visual type
  -virtual-pixel method
                       virtual pixel access method
  -window id display image to background of this window Image Operators:
  -channel mask set the image channel mask
  -colors value preferred number of colors in the image
  -crop geometry preferred size and location of the cropped image
  -extract geometry extract area from image
  -monochrome transform image to black and white
  -resample geometry change the resolution of an image
  -resize geometry resize the image
  -rotate degrees apply Paeth rotation to the image
  -strip strip image of all profiles and comments
  -thumbnail geometry create a thumbnail of the image
  -trim trim image edges Image Sequence Operators:
  -coalesce merge a sequence of images
  -flatten flatten a sequence of images Miscellaneous Options:
  -debug events display copious debugging information
  -help print program options
  -log format format of debugging information
  -list type print a list of supported option arguments
  -version print version information In addition to those listed above, you can specify these standard X resources as command line options: -background, -bordercolor, -borderwidth, -font, -foreground, -iconGeometry, -iconic, -name, -mattecolor, -shared-memory, or -title. By default, the image format of `file' is determined by its magic number. To specify a particular image format, precede the filename with an image format name and a colon (i.e. ps:image) or specify the image type as the filename suffix (i.e. image.ps). Specify 'file' as '-' for standard input or output. Buttons:
  1 press to map or unmap the Command widget

SEE ALSO
ImageMagick(1)

COPYRIGHT
Copyright (C) 1999-2020 ImageMagick Studio LLC. Additional copyrights and licenses apply to this software, see file:///usr/pkg/share/doc/ImageMagick-7/www/license.html or http://imagemagick.org/script/license.php